Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2765 - %_signature type not overriden by ~/.rpmmacros
Summary: %_signature type not overriden by ~/.rpmmacros
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-12 15:26 UTC by Weaver, Ryan
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-14 19:06:36 UTC


Attachments (Terms of Use)

Description Weaver, Ryan 1999-05-12 15:26:20 UTC
The macro %_signature in /usr/lib/rpm/macros does not get
overriden by %_signature in ~/.rpmmacros. The default in
/usr/lib/rpm/macros being none, a ~/.rpmmacros of pgp will
not sign rpms with pgp.

Comment 1 Jeff Johnson 1999-05-14 19:06:59 UTC
I verified that %_signature can be set in ~/.rpmmacros
by setting an invalid value (e.g. %_signature XXXX) in ~/.rpmmacros.
This gives the expected error
	Invalid %_signature spec in macro file.
when attempting to sign idicating that ~/.rpmmacros is indeed the
final place in which %_signature will be set.

Please reopen if you (or someone else) can reproduce this
problem - I don't know how to.


Note You need to log in before you can comment on or make changes to this bug.